PGLOADER(1)

NAME
pgloader - extract, transform and load data into PostgreSQL

DESCRIPTION
pgloader [ option ... ] command-file ... pgloader [ option ... ] SOURCE TARGET

--help -h
    boolean Show usage and exit.

--version -V
    boolean Displays pgloader version and exit.

--quiet -q
    boolean Be quiet

--verbose -v
    boolean Be verbose

--debug -d
    boolean Display debug level information.

--client-min-messages
    string Filter logs seen at the console (default: "warning")

--log-min-messages
    string Filter logs seen in the logfile (default: "notice")

--summary -S
    string Filename where to copy the summary

--root-dir -D
    string Output root directory. (default: #P"/tmp/pgloader/")

--upgrade-config -U
    boolean Output the command(s) corresponding to .conf file for v2.x

--list-encodings -E
    boolean List pgloader known encodings and exit.

--logfile -L
    string Filename where to send the logs.

--load-lisp-file -l
    string Read user code from files

--dry-run
    boolean Only check database connections, don't load anything.

--on-error-stop
    boolean Refrain from handling errors properly.

--no-ssl-cert-verification
    boolean Instruct OpenSSL to bypass verifying certificates.

--context -C
    string Command Context Variables

--with
    string Load options

--set
    string PostgreSQL options

--field
    string Source file fields specification

--cast
    string Specific cast rules

--type
    string Force input source type

--encoding
    string Source expected encoding

--before
    string SQL script to run before loading the data

--after
    string SQL script to run after loading the data

--self-upgrade
    string Path to pgloader newer sources

--regress
    boolean Drive regression testing